commit 0f4eb4af1dbdd00ed808c3d0700b324f37d60e4c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed May 17 11:00:59 2023 +0200

    screensaver: Prevent recursive calling of lock command
    
    This is not intended to prevent a malicious attack but an accidental
    recursive call. When xfce4-session!41 is merged, this will allow in
    particular to address xfce4-session#120 in this sense. The original idea
    is from Jarno Suni in xfce4-session!20.
    
    (cherry picked from commit 1678d6082c5032a8bf9da591c7251ee8452e7250)

commit b00fb0804124119e5b732d919d04971dd663d8b3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 14 15:53:57 2023 +0200

    screensaver: Add lock-on-sleep property
    
    This is to keep in sync components having this setting under one name
    or another.
    
    Related: xfce4-power-manager#71
    (cherry picked from commit a234e63495e98598d38139e11f2b653c5f63fb43)

commit 943e2a927e204b68a56cd49c6011a7d18f9e0b74
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 12 12:20:11 2023 +0200

    screensaver: Update fallback list
    
    Remove xflock4 since it is redundant and this code could replace it in
    the future (or not).
    
    (cherry picked from commit 3d38ce96b63ac7c7e67d63461c453688d026be2c)

commit ebd9d03ee238ef3ccf7c87f9c85e9a4633d954d1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 12 11:18:57 2023 +0200

    screensaver: Prioritize user lock command
    
    (cherry picked from commit d381731a8e68e72ae84354d08b9cfe1d47581860)

commit 9331a6f1e9f8916e0282f4165a157cf756f76ffa
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 12 10:14:53 2023 +0200

    screensaver: Rewrite D-Bus proxies management
    
    * Do not autostart proxies at initialization
    * Monitor all proxies, properly update running state
    * Use only one of them: the highest priority
    * Do not start another one if the current one fails to lock
    
    Fixes: #63, #64
    (cherry picked from commit a25f036b656546f2d5ad840ea2aa1a49d8ece232)

commit b07efc88bbb682cf8a9a962b5578b143f78761cc
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 12 21:04:37 2023 +0200

    screensaver: Use reasonable timeout for methods that may not reply
    
    Helps: #62, #63
    (cherry picked from commit 877226ca89e4df4192a85b37a8804b819c07121f)

commit 4bf9d5aae572bad7298bc8bba7ae927e25d03ee8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 11 20:42:58 2023 +0200

    screensaver: Remove support for gnome-screensaver (Fixes #62)
    
    (cherry picked from commit 3d15064e500cb683188adb5d613b8ca21241b2a5)

commit 71b533628c5124f8ddab21e19ee5ee025372ea35
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 12 11:59:20 2023 +0200

    screensaver: Do not take into account empty commands
    
    (cherry picked from commit 4a1067561eddf35b1df635c33b2935dcfddbc587)

commit 4ecabf14a8feb4f88f4b233a02d887d071abf74f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 12 00:10:12 2023 +0200

    screensaver: Simplify Xfconf management
    
    (cherry picked from commit 8b947d87b3d1365fc888791631420728af6644e7)

commit 8ed6cefc1869d255d969773a542b7a3f7340c125
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 11 19:18:11 2023 +0200

    screensaver: Fix memory leak
    
    (cherry picked from commit 68d465e72fa8c9461e5febcc1ed015d7ab310e74)

commit 67ab9538729d79bfbbca391f38c91d3bceb60fb0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu May 11 19:17:52 2023 +0200

    screensaver: Fix typos
    
    (cherry picked from commit 31baf6ac8ca03610cfe0a78333cc332a9d407845)

commit bc4f3c5ad51a2a10e01c7672c8b5927fadb508df
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 7 18:14:16 2023 +0200

    screensaver: Run lock command synchronously (Fixes #70)
    
    (cherry picked from commit 32f761266658e2f59093af259655e44efecf31a9)

commit 070a2116815d3c917abcb8a04a80f8d428e29f38
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue May 2 12:34:33 2023 +0200

    screensaver: Add missing include guard
    
    Fixes: e53afab3215a1dc58f74919fe7f94d8831d6a59f
    Related: !89
    (cherry picked from commit e998988f5ca17fea57c78e5fa3ada65cdc0ea351)

commit 9d04648894af469a048a8638a216afe397a96fef
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 28 19:20:07 2023 +0200

    Back to development

commit 62094afee4500659601e5c7bba31b9d56679dfbd
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 28 19:19:35 2023 +0200

    Updates for release

commit 6c89cb5e1be20e2ab7fcef720f1869387a76aca9
Author: Arthur Demchenkov <spinal.by@gmail.com>
Date:   Wed Mar 22 16:52:17 2023 +0300

    Add comment about the need for gtk_widget_destroy()
    
    (cherry picked from commit d4f23105e738ca17bd02d3da95d7a9c9c37ba752)

commit 8ec234344aa235022a1430e1f36cc023121fcc8e
Author: Arthur Demchenkov <spinal.by@gmail.com>
Date:   Sun Mar 19 15:08:59 2023 +0300

    Fix memory management in Vala generated code
    
    Incorrect use of the "(transfer full)" annotation causes the generated
    vala code to execute g_object_unref() for newly created widgets when the
    calling function returns.
    
    These annotations are exposed mainly for GtkWidget, which is the ancestor
    of GInitiallyUnowned: https://docs.gtk.org/gtk3/class.Widget.html
    
    Each GInitiallyUnowned object is created with a floating reference,
    which is converted to a regular reference when we call g_object_ref_sink(),
    which is called automatically when the widget is added to a container.
    
    When we use "(transfer full)", vala generates code that assumes the
    function returns a value that has a reference belonging to the calling
    function. And this reference is removed by g_object_unref() just before
    the function returns, which results in freeing up object memory, which
    is not what the programmer expects.
    
    This leads to the following bunch of errors:
    (wrapper-2.0): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer
    (wrapper-2.0): GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
    (wrapper-2.0): GLib-GObject-CRITICAL **: g_object_set_qdata: assertion 'G_IS_OBJECT (object)' failed
    (wrapper-2.0): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer
    (wrapper-2.0): GLib-GObject-CRITICAL **: g_signal_handlers_destroy: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
    (wrapper-2.0): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer
    (wrapper-2.0): GLib-GObject-CRITICAL **: g_signal_handlers_destroy: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
    (wrapper-2.0): GLib-GObject-CRITICAL **: g_object_unref: assertion 'old_ref > 0' failed
    
    This example shows the errors which were produced by the code which vala
    generated after using xfce_gtk_image_menu_item_new_from_icon_name() to
    create a menu item.
    
    Replacing "(transfer full)" with "(transfer none|floating)" libxfceui4
    generates bindings that allow vala to generate code avoiding such errors.
    
    Follow these links for better understanding:
    1. https://docs.gtk.org/gobject/method.Object.ref_sink.html
    2. https://developer-old.gnome.org/gtk3/stable/gtk-question-index.html (Q#1.5)
    3. https://discourse.gnome.org/t/about-transfer-in-gobject-introspection/2500
    4. https://gi.readthedocs.io/en/latest/annotations/giannotations.html
    
    (cherry picked from commit c6cc39297662915ab133d5c4f212e120e8c2ad89)

commit b68a9c615149646b1110db43ddf2840159800aa3
Author: Arthur Demchenkov <spinal.by@gmail.com>
Date:   Sat Mar 18 16:35:18 2023 +0300

    Add annotation "(nullable)" where appropriate
    
    (cherry picked from commit 03fa2eebc5bf191d0951aa8a2b35aaab0cd48751)

commit 6a442b92184bfdf24f8b72a9631085e32563f426
Author: Arthur Demchenkov <spinal.by@gmail.com>
Date:   Sat Mar 18 16:24:35 2023 +0300

    Replace deprecated annotation: "(allow-none)"
    
    Since gobject-introspection-1.42 it has been replaced by "(nullable)":
    https://gi.readthedocs.io/en/latest/annotations/giannotations.html
    
    (cherry picked from commit 5703f8d4bb36b9664f4efcc4242272db038922fc)

commit 65f0472d9732610aaf270582baf805ad4ff08e38
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Sun Mar 19 10:06:40 2023 +0100

    Harden xfce_gtk_handle_tab_accels (thunar#1067)
    
    (cherry picked from commit 1e29c16f3e9b27c3c28e076b2ff0b8b8b957bdc4)

commit 224c8979a034bf87dd2169ed7f1c78d35e40b00a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 14 16:39:48 2023 +0100

    screensaver: Avoid Xfconf warning
    
    Bindings are already removed in finalize() since XfceScreensaver is the
    object bound.
    
    Fixes: 6b714250d08b182ade4819672b1ab32308120c1a
    (cherry picked from commit e3db9484786121a48c88d97c597952354a147860)

commit 06b72b96890a9b0d6ab9c555977a57383d9b287e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Mar 11 16:26:36 2023 +0100

    shortcuts-grabber: Ignore keyboard layout change
    
    Fixes: xfce4-settings#423
    Related: !27, !91
    (cherry picked from commit 19d86df3f7c263197e45b4538c4a42b058a41f2c)

commit fbbf1aa3d774d9e9d16471ec220c9d0346020050
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Mar 8 21:02:32 2023 +0100

    screensaver: Fix Xfconf memory management
    
    This was wrong in the original code from xfce4-session and
    xfce4-power-manager.
    
    Fixes: e53afab3215a1dc58f74919fe7f94d8831d6a59f
    Related: !89
    (cherry picked from commit 6b714250d08b182ade4819672b1ab32308120c1a)

commit 6747e367bd906ba1458fdd1e8d3decb774f1a2a1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 9 12:00:48 2023 +0100

    Back to development

commit 3c0752ec83d4a8109dadc61fe67d57dd9cb9c113
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 9 12:00:09 2023 +0100

    Updates for release

commit 89ad8365f8b2195d3a1397b9a3419127bb32db0d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 9 11:37:50 2023 +0100

    Update copyright year
    
    (cherry picked from commit 4f0ae300770605c55cc215026ab0044e7320c9e5)

commit f4aaa98685c34e59e6262f84de92c4ff47bb9448
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 9 10:07:54 2023 +0000

    Add XfceScreensaver
    
    To share screensaver code between xfce4-power-manager and xfce4-session.
    Except for the formatting, the screensaver code reproduced here is that
    of xfce4-power-manager@8b2578c0. The code was the same between the two
    components, except for the prioritization of org.xfce.ScreenSaver in
    `xfce_screensaver_init()` and the fix in xfce4-power-manager@8b2578c0.
    
    Related: https://gitlab.xfce.org/xfce/xfce4-session/-/issues/149#note_64581
    (cherry picked from commit e53afab3215a1dc58f74919fe7f94d8831d6a59f)

commit f12e40a2a92c994c1df32afe499197d3d6f323b6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Feb 7 17:15:18 2023 +0100

    docs: Fix broken links
    
    (cherry picked from commit 3999a490b620814d127a14e7a7be767fc68e4632)

commit 95c660307f869ecd383041fdc9164d8914786967
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 2 23:06:07 2023 +0100

    shortcut-dialog: Use parent window for the grab if possible (Fixes #52)
    
    (cherry picked from commit e10f494263ca3d164a965a20e28f2792038d933d)

commit badd037d8805c487287701a1fe150263ca45e4be
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 12 18:55:46 2023 +0100

    Fix memory leak
    
    (cherry picked from commit 792359d82114746f2fa1f6e99a4979ed3502b14c)

commit f68464ac59eaafba197f1ae141af9811f9edf71f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jan 6 16:55:26 2023 +0100

    Fix memory leaks
    
    (cherry picked from commit 3c1b961b12f54dcd5059e6edc48f2923b8a04f3b)

commit 25acc74013eebd1167090fd17ed37da5c372de93
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Thu Jan 5 02:00:18 2023 +0100

    Back to development

commit d582bcff1ba2d9bffc4e29407e52ba929ce5c7f7
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Thu Jan 5 01:56:04 2023 +0100

    Updates for release

commit abc66283f93268534ce7a2fdd14202b639f889e7
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Thu Jan 5 00:37:42 2023 +0000

    XfceFileNameInput - wrap error message (Issue #60)
    
    And remove predefined size
    
    (cherry picked from commit 48bacbbe43655a9935e51fbbe718a48c94bea50b)

commit 825d8c975c78611e281424c69efa7f2dae267a9b
Author: Erkki Moorits <erkki.moorits@mail.ee>
Date:   Mon Jan 2 15:33:03 2023 +0200

    xfce4-about: Removed excess square brackets
    
    (cherry picked from commit 64ed862ebddf168bc7993604cead69b260e6a163)

commit ffa7ab6ac9bf5f3c9afc3f30ca7b2123cff742ed
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 27 13:10:22 2022 +0100

    Revert "XfceShortcutsGrabber: Detect auto-repeat key press"
    
    This reverts commit 145e2bed11ab3a682589b028fed4a637c77c436d.
    See xfce4-settings!93 for the rationale.
    
    Fixes: xfce4-settings#422
    Related: #6, !63, !85
    (cherry picked from commit c36347f6249a99461fd306cde99b11cd3564395e)

commit a5c290a2b0f8af87cfe50a7f69b0204dbb452d92
Author: Anonymous <noreply@xfce.org>
Date:   Sun Dec 25 00:45:26 2022 +0100

    I18n: Update translation he (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).
    
    (cherry picked from commit d9132b3f4073c16008aa8a7db5673d656490ace8)

commit 44994cae805e3f5a866c9b620b2c1d77379df049
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 24 00:46:13 2022 +0100

    I18n: Update translation sv (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).
    
    (cherry picked from commit f0e793103c0c646f39d094fd9f15426522a10ebc)

commit 3684db984148b1b95490346188a02412d0c3cf5f
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 17 12:45:21 2022 +0100

    I18n: Update translation ru (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3ac1d2ea8e35e091a37cac0ac81ed2dbca144269
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 15 09:52:25 2022 +0100

    Back to development

commit 70cd22c04391d45b8cd0cf649696c85e44917c1d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Dec 15 09:51:57 2022 +0100

    Updates for release

commit a7a1c0b990ff958046a415844ff3f74ef4c39e64
Author: Anonymous <noreply@xfce.org>
Date:   Wed Dec 14 00:45:11 2022 +0100

    I18n: Update translation pt_BR (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cb89e99f9c9a285a2a02654bf3c11a36cfde7ebd
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 13 12:45:21 2022 +0100

    I18n: Update translation lt (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit dd70d918397b64e43922183c51626a75313d6b4b
Author: Romain Bouvier <skunnyk@alteroot.org>
Date:   Thu Nov 24 10:36:41 2022 +0100

    Update About credits
    
    - Add some long term actives panel plugins/apps contributors too

commit 49afdd7cc815f1173599334ca742d123aa759327
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 6 00:45:14 2022 +0100

    I18n: Update translation nb (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2046d098f1e68ce1a0b615e3c1297d270ca431df
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 5 20:12:25 2022 +0100

    build: Bump requirements for Xfce 4.18

commit 6562224cd9fae174816fec26806240f59c5bb1ec
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 5 12:45:31 2022 +0100

    I18n: Update translation hu (96%).
    
    203 translated messages, 8 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1ef6aceb016223d3f21c7d083152b4bc973897d0
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 5 00:45:13 2022 +0100

    I18n: Update translation oc (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e5335365a0cf563a3177bd7aa95b6d460395397e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 5 00:45:13 2022 +0100

    I18n: Update translation cs (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 00c99917d227773284575aa6e64d407f38d8cb8a
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 3 00:45:13 2022 +0100

    I18n: Update translation tr (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bccff4c72dafc401357b94ab3f16f5866dfd6eb4
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 2 00:45:18 2022 +0100

    I18n: Update translation de (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3e7d123ac321b4208cf6e64b5f2fb1e188a74667
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 1 12:45:31 2022 +0100

    I18n: Update translation tr (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 083e9e7bef8ef35e722f9715cd4703d385476725
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 1 00:45:14 2022 +0100

    I18n: Update translation zh_CN (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 14c42f7919aea735cb51c1449598d954ab4ec97d
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 1 00:45:14 2022 +0100

    I18n: Update translation sr (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fec4567b252f8752d02f7cc9f8edcffd6100d5db
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Nov 30 16:48:33 2022 +0100

    Back to development

commit 1e94f6386a6026c31bdb3d7b1d0e9761878cb1ab
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Nov 30 16:48:09 2022 +0100

    Updates for release

commit 051a49dc1b86a32dcad0c3a02e8c2c69c59d9ad7
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:45:13 2022 +0100

    I18n: Update translation pt (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5851c1a54c5d4bf5d9e242b06e5e5263fc85788d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:45:13 2022 +0100

    I18n: Update translation kk (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e5067fda764601b3247fb3432b8be4908c5b62d3
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:45:13 2022 +0100

    I18n: Update translation fr (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 971f9729299e66448cad04036cb7200ec7abde65
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:45:13 2022 +0100

    I18n: Update translation et (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d1e6947577fdc217d242059d504e90752bee58ec
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 00:45:13 2022 +0100

    I18n: Update translation es (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 08a5e8ebdc1c89379b79c504f9b4bf0ae6c0401d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 12:45:18 2022 +0100

    I18n: Update translation zh_TW (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit bdabd0b5b602a180e112b995e59b00451b259082
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 12:45:18 2022 +0100

    I18n: Update translation bg (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit dcf6177dd57598263cb2ced94543e24d1b9e5598
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 00:45:11 2022 +0100

    I18n: Update translation sq (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 726f79ce6ca174106bc511bd4d2c64bbfb9b3781
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 00:45:11 2022 +0100

    I18n: Update translation lt (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e4b41bddc00ed69035b6f047bb25b8d0d87e3b78
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:10:54 2022 +0100

    I18n: Update translation pl (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5b1dcb313ba55afc0f207f6cd8e7e0a883381f3b
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:10:53 2022 +0100

    I18n: Update translation nl (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e3404a17c6e2dc44446eeb906ea40a3113765d48
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:10:53 2022 +0100

    I18n: Update translation ja (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6d7a4f35ea4ac33c2188791e5c96ecf17c14dd4d
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:10:53 2022 +0100

    I18n: Update translation it (100%).
    
    211 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fb7a9c2e8914d4024fb62f73d178144d62b90725
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 15:02:58 2022 +0100

    I18n: Update translation it (98%).
    
    207 translated messages, 4 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ac48fdbdb8d00ce2158a301fde47c04a0cab9fe1
Author: Nicholas Dahm <(first).(last) at gmail>
Date:   Mon Oct 10 23:40:52 2022 -0400

    Added move-window-to-monitor shortcut options

commit ad95bc69237c3633a0e8c63f059f049fa8cf1b32
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 31 17:02:42 2022 +0100

    Back to development

commit 802f00e18666629eb580f9f37c045ef38fccadf2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 31 17:02:06 2022 +0100

    Updates for release

commit 344ed13e4b0a505984bbeae721ca9664f2288aa0
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 27 00:45:15 2022 +0200

    I18n: Update translation oc (100%).
    
    207 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1bce0d91fdd2529f94ed986e46a1dc42acee81fb
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 20 00:45:15 2022 +0200

    I18n: Update translation kk (100%).
    
    207 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2a8556b818a608f7646ad0314fd96b606d1cef8a
Author: Anonymous <noreply@xfce.org>
Date:   Mon Oct 10 09:41:22 2022 +0200

    I18n: Update translation sl (100%).
    
    207 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a3bb2bf2230b7fd01caf0a5b79fc52e2cb22037a
Author: Anonymous <noreply@xfce.org>
Date:   Tue Oct 4 14:20:55 2022 +0200

    I18n: Update translation eu (100%).
    
    207 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6414240a0ba7536aea3905fa19f503f5f5d719f2
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Sat Sep 10 22:47:52 2022 +0000

    Bump GObject Introspection minim version to 1.66

commit 3064fa5a39b8b0473b490f8711ca5c83edafdc66
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 5 18:17:27 2022 +0200

    Back to development

commit e7054237516edb6de4c3b169240212fdd2a63d4e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 5 18:15:09 2022 +0200

    Updates for release

commit 3afda0243f1e44d380a52741453139f9d7682d60
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Sep 5 18:03:33 2022 +0200

    Update copyright year

commit 34dcb2c5bf05935c15cc5d9ff1554346315eaab0
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 4 22:16:52 2022 +0200

    docs: Add missing index of deprecated symbols

commit 0da4040dde6caee16222a8214103be38a7f861ae
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 4 12:47:52 2022 +0200

    libxfce4kbd-private: Reset shortcut recursively
    
    Fixes: #53
    Co-authored-by: Theo Linkspfeifer <lastonestanding@tutanota.com>

commit 50b57a2e26d8f88c516099621c4a2fca0530f86b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 4 12:18:49 2022 +0200

    tests: Fix deprecation warning

commit dea3e9a452a4b6109ae46060a23e7817ed6e5aa1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 4 11:46:58 2022 +0200

    docs: Fix some broken links

commit 939767d13448dcc06f886efcfee0223165b177a9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 4 11:45:58 2022 +0200

    docs: Fix "unused declarations" warning
    
    * Use private subsection
    * LIBXFCE4UI_INSIDE_LIBXFCE4UI_H -> _LIBXFCE4UI_INSIDE_LIBXFCE4UI_H
    * Use I_ from Libxfce4util, available since 4.17.2

commit 77d1f9f915bdc5282c2913f74df36ca276ca1edb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 4 11:43:39 2022 +0200

    docs: Add missing documentation

commit 0e7f46775679af5ae138764ae153b8b5fb2714c1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 4 11:40:27 2022 +0200

    docs: Add missing deprecation guards

commit 09f789e09622c3135a27986d7518359552f4c5eb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Sep 4 11:28:06 2022 +0200

    docs: Update `.gitignore`

commit 67c3ef26a3d4d1835c751737d776b162bfe31271
Author: Andre Miranda <andreldm@xfce.org>
Date:   Mon Aug 22 21:20:57 2022 +0200

    titled-dialog: Add margin to subtitle

commit 3eebdd1bdc75d471cd1c9248dc26556775188a54
Author: Andre Miranda <andreldm@xfce.org>
Date:   Mon Aug 22 21:15:01 2022 +0200

    titled-dialog: Add style classes to subtitle and separator

commit db63977f29488b4f15d565646e2aa9d1fbf9828d
Author: Andre Miranda <andreldm@xfce.org>
Date:   Mon Aug 22 21:09:34 2022 +0200

    titled-dialog: Fix indentation

commit 9f3e29f129ab7cbccc003fb2b1b6b72553656784
Author: Andre Miranda <andreldm@xfce.org>
Date:   Mon Aug 22 21:08:09 2022 +0200

    titled-dialog: Support subtitles when headerbars are not used

commit 2e39a1c71af41e037c5bf50e217d1029559114ca
Author: Anonymous <noreply@xfce.org>
Date:   Sat Aug 20 00:45:29 2022 +0200

    I18n: Update translation id (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ee1747cf36642352dfccd0fb27a86c39b983ecfd
Author: Anonymous <noreply@xfce.org>
Date:   Sat Aug 6 12:45:38 2022 +0200

    I18n: Update translation tr (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3c4d55126e210f566960a6c3946c15f079ca4c08
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 31 00:45:27 2022 +0200

    I18n: Update translation he (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5f4003e1f1ee88fdaa342312331edccca5c4be7a
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jul 27 00:45:30 2022 +0200

    I18n: Update translation uk (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 17f90d99916b3e97ef368d1b6a24861dec16a0c7
Author: ზურაბი დავითაშვილი <zurabi@tuta.io>
Date:   Tue Jul 26 00:45:32 2022 +0200

    I18n: Update translation ka (64%).
    
    133 translated messages, 74 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fb4c989e192770240d027c6b78f46c4afd9965a7
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 23 12:45:33 2022 +0200

    I18n: Update translation fr (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2bd2f4f419e38f82404c70c311b7c6bc354656e8
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jul 22 00:45:28 2022 +0200

    I18n: Update translation it (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 16faf307dff147799710ec32bb093fb458a4efcf
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 21 12:45:37 2022 +0200

    I18n: Update translation ru (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 14b442e93864ab125b3665511c5446bd45d0be99
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 19 00:45:37 2022 +0200

    I18n: Update translation sv (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7d4ecf1ac735a2df18e1a997e8ea21f5f3f9386b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 19 00:45:37 2022 +0200

    I18n: Update translation sr (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 93cb1bbb6c4b095688871e485dcab649cafdc322
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jul 19 00:45:36 2022 +0200

    I18n: Update translation es (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 52e914d0d7b1755fcec6d296cb2bca9a5526cf2c
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 18 12:45:43 2022 +0200

    I18n: Update translation zh_TW (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 60531ce6e63c50c0d410532fc34dd56480e59b15
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 18 00:45:27 2022 +0200

    I18n: Update translation lt (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit aa686df728ef27a718a1313c3cba3c8a818c87f6
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 18 00:45:26 2022 +0200

    I18n: Update translation cy (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2a696e168523424c611b723e7fb2864ddc55704f
Author: YuHeng Chou <wojiushixxx@126.com>
Date:   Sun Jul 17 12:45:38 2022 +0200

    I18n: Update translation zh_CN (100%).
    
    207 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a89131b92ff8dd1eb8452d51ab02f0a655e679f9
Author: Anonymous <noreply@xfce.org>
